Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::transform_fn Struct Reference

## Synopsis of methods
constexpr view< transform_fn > | transform {}

## Public Member Functions
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> transform_view< all_t< Rng >, Fun > requires TransformableRange< Rng, Fun >
template<typename Rng1 , typename Rng2 , typename Fun >
auto | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const -> transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > requires TransformableRanges< Rng1, Rng2, Fun >